
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops get

Get one or many resources.

```
kops get [flags]
```

### Options

```
  -h, --help            help for get
  -o, --output string   output format. One of: table, yaml, json (default "table")
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops](kops.md)	 - kOps is Kubernetes Operations.
* [kops get all](kops_get_all.md)	 - Display all resources for a cluster.
* [kops get assets](kops_get_assets.md)	 - Display assets for cluster.
* [kops get clusters](kops_get_clusters.md)	 - Get one or many clusters.
* [kops get instancegroups](kops_get_instancegroups.md)	 - Get one or many instance groups.
* [kops get instances](kops_get_instances.md)	 - Display cluster instances.
* [kops get keypairs](kops_get_keypairs.md)	 - Get one or many keypairs.
* [kops get secrets](kops_get_secrets.md)	 - Get one or many secrets.
* [kops get sshpublickeys](kops_get_sshpublickeys.md)	 - Get one or many secrets.

